This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Server OpenSSL Module
Certificate details
| Certificate ID | #3038 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 05.10.2017 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | OpenSSL is an open-source library of various cryptographic algorithms written mainly in C. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, CAST, RC2, RC4, RC5, DES, Triple-DES, TDES, TDEA, IDEA, Blowfish, Camellia, SEED, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA224, SHA256, SHA-384, SHA-512, SHA-224, SHA-256, MD4, MD5, RIPEMD160Schemes
MAC, Key Exchange, Key Agreement, Key agreementProtocols
TLS, TLS v1.0, TLSv1.2, DTLSRandomness
PRNG, DRBG, RNGLibraries
OpenSSLElliptic Curves
P-224, P-256, P-384, P-521, P-192Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_DH_DSS_WITH_AES_128_CBC_SHA, TLS_DH_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DH_DSS_WITH_AES_256_CBC_SHA, TLS_DH_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DH_DSS_WITH_AES_128_CBC_SHA256, TLS_DH_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DH_DSS_WITH_AES_256_CBC_SHA256, TLS_DH_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DH_RSA_WITH_AES_128_GCM_SHA256, TLS_DH_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_DH_DSS_WITH_AES_128_GCM_SHA256, TLS_DH_DSS_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384Security level
Level 1, level 1Side-channel analysis
Timing Attacks, timing attacksStandards
FIPS 140-2, FIPS 1402, FIPS197, FIPS186-4, FIPS198-1, FIPS180-4, FIPS 86-4, FIPS 197, FIPS 180-4, FIPS 198-1, FIPS 186-4, SP 800-90A, SP 800-57, NIST SP 800-67, NIST SP 800-38B, NIST SP 800-38C, NIST SP 800-38D, NIST SP 800-38E, NIST SP 800-52, NIST SP 800-56A, NIST SP 800-90A, RFC 5288, RFC2246, RFC3268, RFC5246, RFC4279, RFC5288, RFC4492, RFC5289Cross-references
Outgoing- 2435 - historical - SUSE Linux Enterprise Server 12 - OpenSSL Module
- 2484 - historical - SUSE Linux Enterprise Server 12 - StrongSwan Cryptographic Module
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3038,
"dgst": "fba37ae0d72e7808",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#1359",
"#1536",
"#4623",
"KTS#4622",
"#3770",
"HMAC#3043",
"RSA#2505",
"DRBG#1536",
"#1535",
"#3768",
"KTS#4588",
"#3044",
"HMAC#3044",
"DRBG#1553",
"AES#4594",
"HMAC#3060",
"#1131",
"#4622",
"AES#4647",
"#3769",
"KTS#4595",
"CVL#1276",
"#4647",
"#3043",
"#2519",
"AES#4645",
"#2439",
"CVL#1264",
"#1276",
"#1537",
"#4595",
"AES#4622",
"SHS#3788",
"HMAC#3059",
"SHS#3789",
"#3789",
"#3042",
"#1539",
"KTS#4594",
"#1553",
"AES#4595",
"#3045",
"DRBG#1539",
"DRBG#1552",
"#1127",
"DRBG#1538",
"#4594",
"#2455",
"#1552",
"#3771",
"#2505",
"SHS#3769",
"CVL#1359",
"AES#4646",
"#1221",
"DSA#1221",
"#3788",
"DSA#1220",
"SHS#3770",
"#1540",
"ECDSA#1131",
"#4646",
"#1263",
"DRBG#1537",
"DRBG#1535",
"Triple-DES#2455",
"#1531",
"Triple-DES#2439",
"SHS#3768",
"#3059",
"HMAC#3045",
"#1220",
"#1264",
"SHS#3771",
"DRBG#1531",
"KTS#4623",
"#3060",
"RSA#2519",
"ECDSA#1127",
"AES#4623",
"AES#4588",
"#1538",
"#4588",
"CVL#1263",
"HMAC#3042",
"DRBG#1540",
"#4645"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"2484"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"2549",
"2484"
]
},
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"2484"
]
},
"directly_referencing": {
"_type": "Set",
"elements": [
"2435"
]
},
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"2549",
"3099",
"2484"
]
},
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2435",
"1930"
]
}
},
"policy_prunned_references": {
"_type": "Set",
"elements": [
"2435"
]
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 41,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 6
},
"ECDSA": {
"ECDSA": 21
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 43
},
"DSA": {
"DSA": 29
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"CCM": {
"CCM": 4
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 9
},
"OFB": {
"OFB": 5
},
"XTS": {
"XTS": 6
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 46
}
},
"crypto_protocol": {
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 41,
"TLS v1.0": 3,
"TLSv1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 14,
"Key agreement": 1
},
"KEX": {
"Key Exchange": 1
},
"MAC": {
"MAC": 9
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 4,
"P-224": 14,
"P-256": 14,
"P-384": 14,
"P-521": 14
}
},
"eval_facility": {
"atsec": {
"atsec": 2
}
},
"fips_cert_id": {
"Cert": {
"#1127": 1,
"#1131": 1,
"#1220": 1,
"#1221": 1,
"#1263": 5,
"#1264": 1,
"#1276": 5,
"#1359": 1,
"#1531": 1,
"#1535": 1,
"#1536": 1,
"#1537": 1,
"#1538": 1,
"#1539": 1,
"#1540": 1,
"#1552": 1,
"#1553": 1,
"#2435": 1,
"#2439": 1,
"#2455": 2,
"#2505": 1,
"#2519": 1,
"#3042": 1,
"#3043": 1,
"#3044": 1,
"#3045": 1,
"#3059": 1,
"#3060": 1,
"#3768": 1,
"#3769": 1,
"#3770": 1,
"#3771": 1,
"#3788": 1,
"#3789": 1,
"#4588": 6,
"#4594": 6,
"#4595": 6,
"#4622": 6,
"#4623": 6,
"#4645": 1,
"#4646": 1,
"#4647": 1
}
},
"fips_certlike": {
"Certlike": {
"AES #4588": 6,
"AES #4622": 6,
"AES #4645": 1,
"AES-128": 2,
"AES-192": 2,
"AES-256": 3,
"CVL #1263": 3,
"CVL #1264": 1,
"CVL #1276": 3,
"CVL #1359": 1,
"DRBG #1531": 1,
"DRBG #1536": 1,
"DRBG #1552": 1,
"DSA #1220": 1,
"DSA #1221": 1,
"Diffie- Hellman CVL #1263": 2,
"Diffie- Hellman CVL #1276": 2,
"HMAC #3042": 2,
"HMAC #3059": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 6,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"RSA #2505": 1,
"RSA #2519": 1,
"SHA 1": 3,
"SHA-1": 9,
"SHA-1 2": 2,
"SHA-1 4": 2,
"SHA-1 6": 6,
"SHA-224": 15,
"SHA-256": 18,
"SHA-384": 18,
"SHA-512": 15,
"SHA-512 1024": 1,
"SHA-512 112": 2,
"SHA224": 1,
"SHA256": 1,
"SHS #3768": 1,
"SHS #3788": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 3
}
},
"RIPEMD": {
"RIPEMD160": 2
},
"SHA": {
"SHA1": {
"SHA-1": 19
},
"SHA2": {
"SHA-224": 15,
"SHA-256": 18,
"SHA-384": 18,
"SHA-512": 18,
"SHA224": 1,
"SHA256": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 30,
"PRNG": 1
},
"RNG": {
"RNG": 4
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 53,
"FIPS 1402": 1,
"FIPS 180-4": 1,
"FIPS 186-4": 1,
"FIPS 197": 1,
"FIPS 198-1": 1,
"FIPS 86-4": 3,
"FIPS180-4": 2,
"FIPS186-4": 8,
"FIPS197": 2,
"FIPS198-1": 2
},
"NIST": {
"NIST SP 800-38B": 1,
"NIST SP 800-38C": 1,
"NIST SP 800-38D": 1,
"NIST SP 800-38E": 1,
"NIST SP 800-52": 1,
"NIST SP 800-56A": 1,
"NIST SP 800-67": 1,
"NIST SP 800-90A": 1,
"SP 800-57": 1,
"SP 800-90A": 3
},
"RFC": {
"RFC 5288": 2,
"RFC2246": 6,
"RFC3268": 12,
"RFC4279": 3,
"RFC4492": 15,
"RFC5246": 12,
"RFC5288": 12,
"RFC5289": 16
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 84,
"AES-128": 2,
"AES-192": 2,
"AES-256": 3
},
"CAST": {
"CAST": 2
},
"RC": {
"RC2": 2,
"RC4": 2,
"RC5": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 21
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 9,
"HMAC": 19,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 3,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
},
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 2
},
"SEED": {
"SEED": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DRBG#1539",
"DRBG#1552",
"Triple-DES#2455",
"KTS#4622",
"HMAC#3043",
"Triple-DES#2439",
"SHS#3768",
"DRBG#1538",
"RSA#2505",
"DRBG#1536",
"HMAC#3045",
"AES#4622",
"SHS#3788",
"KTS#4588",
"HMAC#3044",
"SHS#3769",
"DRBG#1553",
"CVL#1359",
"HMAC#3059",
"SHS#3789",
"DRBG#1531",
"AES#4646",
"SHS#3771",
"DSA#1221",
"KTS#4623",
"AES#4594",
"HMAC#3060",
"RSA#2519",
"DSA#1220",
"SHS#3770",
"ECDSA#1127",
"AES#4647",
"AES#4623",
"AES#4588",
"KTS#4595",
"CVL#1276",
"KTS#4594",
"CVL#1263",
"ECDSA#1131",
"HMAC#3042",
"AES#4645",
"DRBG#1540",
"AES#4595",
"DRBG#1537",
"DRBG#1535",
"CVL#1264"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1359",
"#1536",
"#1276",
"#4623",
"#3045",
"#1127",
"#3770",
"#1537",
"#4595",
"#1531",
"#3059",
"#4594",
"#2455",
"#1535",
"#1552",
"#1220",
"#3768",
"#2505",
"#3771",
"#3044",
"#1264",
"#1221",
"#3788",
"#3060",
"#1131",
"#3789",
"#4622",
"#1540",
"#3042",
"#3769",
"#1539",
"#1538",
"#4647",
"#4588",
"#3043",
"#2439",
"#2519",
"#4646",
"#1553",
"#1263",
"#4645"
]
},
"policy_metadata": {
"/AAPL:Keywords": "[]",
"/Author": "Quentin Gouchet",
"/CreationDate": "D:20171002184245Z00\u002700\u0027",
"/Creator": "Word",
"/Keywords": "",
"/ModDate": "D:20171002184245Z00\u002700\u0027",
"/Producer": "Mac OS X 10.12.6 Quartz PDFContext",
"/Subject": "",
"/Title": "SUSE_OpenSSL_SecurityPolicy",
"pdf_file_size_bytes": 517147,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 37
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "d6da8a7195b7a574c6fc219327593bd9d702ae812bf15392dbc1771a2f00c0d9",
"source_hash": "b1789be567cdc0683d77922860bccc655101e2ced91d1c473f4b83319dba8058",
"txt_hash": "2d341c59015ed0e9538e2d9978f857c86f19582268e8d60bdf7707f17b5ce63d"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertOct2017.pdf",
"date_sunset": null,
"description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise Server OpenSSL Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "3.0",
"tested_conf": [
"SUSE Linux Enterprise Server 12 SP2 running on FUJITSU Server PRIMERGY CX2570 M2 inside a CX400 M1 enclosure with PAA",
"SUSE Linux Enterprise Server 12 SP2 running on FUJITSU Server PRIMERGY CX2570 M2 inside a CX400 M1 enclosure without PAA",
"SUSE Linux Enterprise Server 12 SP2 running on IBM z13 with PAI",
"SUSE Linux Enterprise Server 12 SP2 running on IBM z13 without PAI (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-10-05",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}